Skip to main content
GET
Charges
When to use it: To see a patient’s pending sessions, what is left to collect or to invoice. Use settlement=pending or partial for open debt. Amounts are in cents.

Authorizations

Authorization
string
header
required

Brelio API key (organization or user) or a WorkOS access token.

Query Parameters

cursor
string

next_cursor of the previous page. Omit it for the first page.

Maximum string length: 200
limit
integer
default:25

Page size, 1 to 100.

Required range: 1 <= x <= 100
patientId
string<uuid>

Only this patient’s charges.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
settlement
enum<string>

Only charges in this settlement state.

Available options:
pending,
partial,
settled
uninvoiced
boolean

Only open charges that no invoice documents yet.

from
string<date>

Only charges with a service date on or after, YYYY-MM-DD.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
to
string<date>

Only charges with a service date on or before, YYYY-MM-DD.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$

Response

Success

data
object[]
required
next_cursor
string | null
required

Pass it as cursor to read the next page; null on the last page.

has_more
boolean
required